import Vue from 'vue';
import * as common from 'schema-based-json-editor';
export declare class NumberEditor extends Vue {
    schema: common.NumberSchema;
    initialValue?: number;
    title: string;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    readonly: boolean;
    required: boolean;
    hasDeleteButton: boolean;
    noSelect2: boolean;
    value?: number;
    errorMessage?: string;
    buttonGroupStyle: string;
    onChange(e: {
        target: {
            value: string;
        };
    }): void;
    beforeMount(): void;
    readonly useInput: boolean | undefined;
    private readonly useSelect;
    readonly useSelect2Component: boolean;
    readonly useSelectComponent: boolean;
    readonly useRadioBoxComponent: boolean;
    readonly isReadOnly: boolean | undefined;
    readonly hasDeleteButtonFunction: boolean;
    readonly titleToShow: string;
    readonly options: {
        value: string | number;
        label: string | number;
    }[];
    readonly className: string;
    updateSelection(value: number): void;
    toggleOptional(): void;
    private validate;
}
